Loading...
Searching...
No Matches
casacore::ConvolveGridder< Domain, Range > Class Template Reference
scimath package (libcasa_scimath) » Mathematics_module

More...

`#include <ConvolveGridder.h>`

## Public Member Functions

| ConvolveGridder (const IPosition &shape, const Vector< Domain > &scale, const Vector< Domain > &offset, const String &convType="SF")
virtual void | setConvolutionFunction (const String &type)
virtual | ~ConvolveGridder ()
virtual Bool | grid (Array< Range > &gridded, const Vector< Domain > &position, const Range &value)
virtual Bool | degrid (const Array< Range > &gridded, const Vector< Domain > &position, Range &value)
Vector< Double > & | cFunction ()
Vector< Int > & | cSupport ()
Int & | cSampling ()
Public Member Functions inherited from casacore::Gridder< Domain, Range >
| Gridder ()
| Gridder (const IPosition &shape, const Vector< Domain > &scale, const Vector< Domain > &offset)
virtual | ~Gridder ()
virtual Range | correct (const IPosition &loc)
virtual void | correctX1D (Vector< Range > &factor, const Int locy)
| Return a correction vector in x for loc y.
Vector< Int > & | location (Vector< Int > &loc, const Vector< Domain > &pos)
Vector< Domain > & | position (Vector< Domain > &gpos, const Vector< Domain > &pos)
virtual Bool | onGrid (const Vector< Int > &loc)
virtual Bool | onGrid (const Vector< Int > &loc, const Vector< Int > &delta)
virtual Bool | onGrid (const Vector< Domain > &pos)
void | setOffset (const Vector< Int > &off)
void | setOffset (const IPosition &off)

## Protected Member Functions

virtual Range | correctionFactor1D (Int loc, Int len)
| Correction factor for 1 dimension.
Protected Member Functions inherited from casacore::Gridder< Domain, Range >
Int | nint (Double val)
virtual void | fillCorrectionVectors ()

## Private Attributes

Vector< Double > | convFunc
Vector< Int > | supportVec
Vector< Int > | loc
Int | sampling
Int | support
String | cType

## Additional Inherited Members

Protected Attributes inherited from casacore::Gridder< Domain, Range >
Int | ndim
IPosition | shape
Vector< Domain > | scale
Vector< Domain > | offset
Vector< Domain > | posVec
Vector< Int > | locVec
Vector< Int > | shapeVec
Vector< Int > | zeroShapeVec
Vector< Int > | offsetVec
Vector< Int > | centerVec
Vector< Vector< Range > > | correctionVectors

## Detailed Description

template<class Domain, class Range>
class casacore::ConvolveGridder< Domain, Range >

Does convolutional gridding

Definition at line 40 of file ConvolveGridder.h.

## Constructor & Destructor Documentation

## ConvolveGridder()

template<class Domain, class Range>

casacore::ConvolveGridder< Domain, Range >::ConvolveGridder | ( | const IPosition & | shape,
|  | const Vector< Domain > & | scale,
|  | const Vector< Domain > & | offset,
|  | const String & | convType = "SF" )

References casacore::Gridder< Domain, Range >::offset, casacore::Gridder< Domain, Range >::scale, and casacore::Gridder< Domain, Range >::shape.

## ~ConvolveGridder()

template<class Domain, class Range>

virtual casacore::ConvolveGridder< Domain, Range >::~ConvolveGridder | ( |  | ) |

inline virtual

Definition at line 49 of file ConvolveGridder.h.

## Member Function Documentation

## cFunction()

template<class Domain, class Range>

Vector< Double > & casacore::ConvolveGridder< Domain, Range >::cFunction | ( |  | ) |

## correctionFactor1D()

template<class Domain, class Range>

virtual Range casacore::ConvolveGridder< Domain, Range >::correctionFactor1D | ( | Int | loc,
|  | Int | len )

protected virtual

Correction factor for 1 dimension.

This is virtual and must be assigned appropriately for derived classes

Implements casacore::Gridder< Domain, Range >.

References loc.

## cSampling()

template<class Domain, class Range>

Int & casacore::ConvolveGridder< Domain, Range >::cSampling | ( |  | ) |

## cSupport()

template<class Domain, class Range>

Vector< Int > & casacore::ConvolveGridder< Domain, Range >::cSupport | ( |  | ) |

## degrid()

template<class Domain, class Range>

virtual Bool casacore::ConvolveGridder< Domain, Range >::degrid | ( | const Array< Range > & | gridded,
|  | const Vector< Domain > & | position,
|  | Range & | value )

virtual

Implements casacore::Gridder< Domain, Range >.

References casacore::NewDelAllocator< T >::value, and casacore::Gridder< Domain, Range >::position().

## grid()

template<class Domain, class Range>

virtual Bool casacore::ConvolveGridder< Domain, Range >::grid | ( | Array< Range > & | gridded,
|  | const Vector< Domain > & | position,
|  | const Range & | value )

virtual

Implements casacore::Gridder< Domain, Range >.

References casacore::NewDelAllocator< T >::value, and casacore::Gridder< Domain, Range >::position().

## setConvolutionFunction()

template<class Domain, class Range>

virtual void casacore::ConvolveGridder< Domain, Range >::setConvolutionFunction | ( | const String & | type | ) |

virtual

## Member Data Documentation

## convFunc

template<class Domain, class Range>

Vector<Double> casacore::ConvolveGridder< Domain, Range >::convFunc

private

Definition at line 69 of file ConvolveGridder.h.

## cType

template<class Domain, class Range>

String casacore::ConvolveGridder< Domain, Range >::cType

private

Definition at line 74 of file ConvolveGridder.h.

## loc

template<class Domain, class Range>

Vector<Int> casacore::ConvolveGridder< Domain, Range >::loc

private

Definition at line 71 of file ConvolveGridder.h.

Referenced by correctionFactor1D().

## sampling

template<class Domain, class Range>

Int casacore::ConvolveGridder< Domain, Range >::sampling

private

Definition at line 72 of file ConvolveGridder.h.

## support

template<class Domain, class Range>

Int casacore::ConvolveGridder< Domain, Range >::support

private

Definition at line 73 of file ConvolveGridder.h.

## supportVec

template<class Domain, class Range>

Vector<Int> casacore::ConvolveGridder< Domain, Range >::supportVec

private

Definition at line 70 of file ConvolveGridder.h.

The documentation for this class was generated from the following file:

- scimath/Mathematics/ConvolveGridder.h